Bootstrap Executable for GUI Fails on Linux

04/08/2010 11:29 PM - Luke Murphey

Status: New Start date: 04/08/2010

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Console Application Estimated time: 0.00 hour

Target version:    

Description

The bootstrap executable for the GUI version of NSIA fails with the given error:

Exception in thread "main" java.lang.UnsatisfiedLinkError: no swt-win32-3448 or swt-win32 in swt.l

ibrary.path, java.library.path or the jar file

at org.eclipse.swt.internal.Library.loadLibrary(Unknown Source)

at org.eclipse.swt.internal.Library.loadLibrary(Unknown Source)

at org.eclipse.swt.internal.C.<clinit>(Unknown Source)

at org.eclipse.swt.widgets.Display.<clinit>(Unknown Source)

at net.lukeMurphey.nsia.tools.AppLaunch.open(AppLaunch.java:65)

at net.lukeMurphey.nsia.tools.AppLaunch.main(AppLaunch.java:295)

at net.lukeMurphey.nsia.Main.main(Main.java:29)

History

#1 - 04/08/2010 11:29 PM - Luke Murphey

This is caused by the application being bundled with the SWT libraries for Windows; different SWT libraries must be used for Linux. The libraries can

be downloaded from the SWT website and the application works once they are loaded. Unfortunately, the current installation method does not

download these automatically.

#2 - 11/02/2010 01:17 PM - Luke Murphey

- Category set to Console Application
